classification
Title: scriptsinstall target fails in alternate build dir
Type: behavior Stage: resolved
Components: Build, Installation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: SilentGhost
Priority: normal Keywords:

Created on 2007-08-29 01:23 by skip.montanaro, last changed 2019-05-07 06:02 by SilentGhost. This issue is now closed.

Messages (4)
msg55398 - (view) Author: Skip Montanaro (skip.montanaro) * (Python triager) Date: 2007-08-29 01:23
I tried running make scriptsinstall from my build directory.
It failed with this error message:

  error: file 'byteyears.py' does not exist

I added os.path.abspath() around the source file name in the
error message.  It's looking for byteyears.py in the current
directory.  From where I executed make it's in ../Tools/scripts.
I'm not sure it would work if executed from the top-level source
directory either.
msg113114 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-06 17:03
Set to needs patch as I don't see why you need a unit test for this build issue, feel free to change it back if you see fit.
msg224270 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-29 22:55
I have no intention of finding out what is in the 48 attached html files :(
msg341683 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2019-05-07 05:55
Closing as out of date. Too much spam in this issue.
History
Date User Action Args
2019-05-07 06:02:56SilentGhostsetnosy: + SilentGhost
2019-05-07 06:02:10SilentGhostsetmessages: - msg341492
2019-05-07 06:01:18SilentGhostsetfiles: - pec48.html
2019-05-07 06:01:14SilentGhostsetfiles: - pec47.html
2019-05-07 06:01:07SilentGhostsetfiles: - pec46.html
2019-05-07 06:01:02SilentGhostsetfiles: - pec45.html
2019-05-07 06:00:50SilentGhostsetfiles: - pec44.html
2019-05-07 06:00:44SilentGhostsetfiles: - pec43.html
2019-05-07 06:00:34SilentGhostsetfiles: - pec42.html
2019-05-07 06:00:29SilentGhostsetfiles: - pec41.html
2019-05-07 06:00:23SilentGhostsetfiles: - pec40.html
2019-05-07 06:00:18SilentGhostsetfiles: - pec39.html
2019-05-07 06:00:12SilentGhostsetfiles: - pec38.html
2019-05-07 06:00:06SilentGhostsetfiles: - pec37.html
2019-05-07 06:00:01SilentGhostsetfiles: - pec36.html
2019-05-07 05:59:34SilentGhostsetfiles: - pec35.html
2019-05-07 05:59:28SilentGhostsetfiles: - pec34.html
2019-05-07 05:59:23SilentGhostsetfiles: - pec33.html
2019-05-07 05:59:18SilentGhostsetfiles: - pec32.html
2019-05-07 05:59:13SilentGhostsetfiles: - pec31.html
2019-05-07 05:59:08SilentGhostsetfiles: - pec30.html
2019-05-07 05:59:03SilentGhostsetfiles: - pec29.html
2019-05-07 05:58:57SilentGhostsetfiles: - pec28.html
2019-05-07 05:58:52SilentGhostsetfiles: - pec27.html
2019-05-07 05:58:47SilentGhostsetfiles: - pec26.html
2019-05-07 05:58:42SilentGhostsetfiles: - pec25.html
2019-05-07 05:58:37SilentGhostsetfiles: - pec24.html
2019-05-07 05:58:31SilentGhostsetfiles: - pec23.html
2019-05-07 05:58:25SilentGhostsetfiles: - pec22.html
2019-05-07 05:58:18SilentGhostsetfiles: - pec21.html
2019-05-07 05:58:13SilentGhostsetfiles: - pec20.html
2019-05-07 05:58:07SilentGhostsetfiles: - pec19.html
2019-05-07 05:58:01SilentGhostsetnosy: - SilentGhost
-> (no value)
2019-05-07 05:57:46SilentGhostsetfiles: - pec18.html
2019-05-07 05:57:41SilentGhostsetfiles: - pec17.html
2019-05-07 05:57:36SilentGhostsetfiles: - pec16.html
2019-05-07 05:57:31SilentGhostsetfiles: - pec15.html
2019-05-07 05:57:26SilentGhostsetfiles: - pec14.html
2019-05-07 05:57:20SilentGhostsetfiles: - pec13.html
2019-05-07 05:57:11SilentGhostsetfiles: - pec12.html
2019-05-07 05:57:05SilentGhostsetfiles: - pec11.html
2019-05-07 05:56:59SilentGhostsetfiles: - pec10.html
2019-05-07 05:56:54SilentGhostsetfiles: - pec9.html
2019-05-07 05:56:48SilentGhostsetfiles: - pec8.html
2019-05-07 05:56:43SilentGhostsetfiles: - pec7.html
2019-05-07 05:56:36SilentGhostsetfiles: - pec6.html
2019-05-07 05:56:29SilentGhostsetfiles: - pec5.html
2019-05-07 05:56:17SilentGhostsetfiles: - pec4.html
2019-05-07 05:56:08SilentGhostsetfiles: - pec3.html
2019-05-07 05:55:43SilentGhostsetstatus: open -> closed
nosy: + SilentGhost, - topworker
messages: + msg341683

resolution: out of date
stage: needs patch -> resolved
2019-05-07 05:54:23SilentGhostsetfiles: - pec2.html
2019-05-07 05:53:03SilentGhostsetfiles: - pec1.html
2019-05-06 11:30:29topworkersetnosy: + topworker
messages: + msg341492
2019-04-26 20:11:36BreamoreBoysetnosy: - BreamoreBoy
-> (no value)
2014-07-29 22:55:03BreamoreBoysetnosy: + BreamoreBoy

messages: + msg224270
versions: + Python 3.4, Python 3.5, - Python 3.1, Python 3.2
2014-02-03 19:11:24BreamoreBoysetnosy: - BreamoreBoy
-> (no value)
2012-06-13 20:01:19gukaar77setfiles: + pec48.html
2012-06-13 20:01:06gukaar77setfiles: + pec47.html
2012-06-13 20:00:57gukaar77setfiles: + pec46.html
2012-06-13 20:00:47gukaar77setfiles: + pec45.html
2012-06-13 20:00:38gukaar77setfiles: + pec44.html
2012-06-13 20:00:28gukaar77setfiles: + pec43.html
2012-06-13 20:00:20gukaar77setfiles: + pec42.html
2012-06-13 20:00:10gukaar77setfiles: + pec41.html
2012-06-13 20:00:00gukaar77setfiles: + pec40.html
2012-06-13 19:59:51gukaar77setfiles: + pec39.html
2012-06-13 19:59:42gukaar77setfiles: + pec38.html
2012-06-13 19:59:33gukaar77setfiles: + pec37.html
2012-06-13 19:59:21gukaar77setfiles: + pec36.html
2012-06-13 19:59:09gukaar77setfiles: + pec35.html
2012-06-13 19:58:54gukaar77setfiles: + pec34.html
2012-06-13 19:58:38gukaar77setfiles: + pec33.html
2012-06-13 19:58:28gukaar77setfiles: + pec32.html
2012-06-13 19:58:12gukaar77setfiles: + pec31.html
2012-06-13 19:58:02gukaar77setfiles: + pec30.html
2012-06-13 19:57:52gukaar77setfiles: + pec29.html
2012-06-13 19:57:43gukaar77setfiles: + pec28.html
2012-06-13 19:57:33gukaar77setfiles: + pec27.html
2012-06-13 19:57:22gukaar77setfiles: + pec26.html
2012-06-13 19:57:12gukaar77setfiles: + pec25.html
2012-06-13 19:57:03gukaar77setfiles: + pec24.html
2012-06-13 19:56:52gukaar77setfiles: + pec23.html
2012-06-13 19:56:39gukaar77setfiles: + pec22.html
2012-06-13 19:56:29gukaar77setfiles: + pec21.html
2012-06-13 19:56:18gukaar77setfiles: + pec20.html
2012-06-13 19:56:09gukaar77setfiles: + pec19.html
2012-06-13 19:55:59gukaar77setfiles: + pec18.html
2012-06-13 19:55:51gukaar77setfiles: + pec17.html
2012-06-13 19:55:41gukaar77setfiles: + pec16.html
2012-06-13 19:55:32gukaar77setfiles: + pec15.html
2012-06-13 19:55:14gukaar77setfiles: + pec14.html
2012-06-13 19:55:04gukaar77setfiles: + pec13.html
2012-06-13 19:54:49gukaar77setfiles: + pec12.html
2012-06-13 19:54:36gukaar77setfiles: + pec11.html
2012-06-13 19:54:25gukaar77setfiles: + pec10.html
2012-06-13 19:54:14gukaar77setfiles: + pec9.html
2012-06-13 19:54:04gukaar77setfiles: + pec8.html
2012-06-13 19:53:54gukaar77setfiles: + pec7.html
2012-06-13 19:53:43gukaar77setfiles: + pec6.html
2012-06-13 19:53:28gukaar77setfiles: + pec5.html
2012-06-13 19:53:16gukaar77setfiles: + pec4.html
2012-06-13 19:53:05gukaar77setfiles: + pec3.html
2012-06-13 19:52:55gukaar77setfiles: + pec2.html
2012-06-13 19:52:41gukaar77setfiles: + pec1.html
2010-08-06 17:03:00BreamoreBoysetversions: + Python 3.1, Python 2.7, Python 3.2, - Python 2.6, Python 3.0
nosy: + BreamoreBoy

messages: + msg113114

stage: test needed -> needs patch
2010-05-20 20:29:09skip.montanarosetnosy: - skip.montanaro
-> (no value)
2009-04-07 04:04:26ajaksu2setstage: test needed
components: + Installation
versions: + Python 3.0
2007-08-29 01:23:22skip.montanarocreate